Subject: Re: [bug#70632] [PATCH 1/2] aux-files: comp-integrity: Adjust for newer emacs.

From: Liliana Marie Prikler <[email-masked]>
Date: Sun, 07 Jul 2024 08:36:30 +0200

Am Mittwoch, dem 08.05.2024 um 14:48 -0400 schrieb Morgan Smith:
> Liliana Marie Prikler <[email-masked]> writes:
> 
> > Am Mittwoch, dem 01.05.2024 um 16:06 -0400 schrieb Morgan Smith:
> > TL;DR: If we do a new file or a phase, we only rebuild emacs-next. 
> > If we modify the file in-place, we rebuild emacs, because it uses
> > it.  Between a phase and a new file, a new file is preferable,
> > because we can then 'mv' it over the old one.
> 
> I apologize.  In my mind we where talking about two different changes
> at the same time.  A change to emacs-next right now, and a change
> that would rebuild all of emacs but live on a branch for now.
> 
> I still think that's the optimal route.  Apply the phase patch right
> now to main, and then the file modification to some branch.
I've recently pushed an update to master that has a new integrity check
for emacs-next; using emacs-next intrinsics rather than going through
help-fns.

Thus marking this as done.

> On a related note, I do have two changes I'd like to make when we
> rebuild all of emacs.  I've attached the changes to this mail despite
> it not being quite the right place to send them.  Also I didn't
> actually test them because I don't really want to rebuild all of that
> myself.
Sorry for the late review on those, but you might want to revisit them
and send them as a new patch series.

> +          (message "Compiling `%s'")
That doesn't look right.

> [PATCH 1/2] build-system/emacs: Allow usage of
>  #:{allowed/disallowed}-references key
> 
> * guix/build-system/emacs.scm (emacs-build): Pass #:allowed-
> references and
> 
> Change-Id: Ib9a35a7b2115365b96675fb7ca3914b0ae7e67c7
> #:disallowed-references keys to builder.
The references are actually being ignored here.

Cheers